Readme:
El presente proyecto fue desarrollado en colaboración de 4 alumnos:
-Cesar Laura
-Andre Alvarez
-Fabricio Centeno
-Alejandro Vela

Enlace de los videos demostrativos

Parcial 
https://youtu.be/q82thJJwAwA

Deadlock
https://youtu.be/MoSjwTJUAKQ